Summary:          C++ library to simplify bit stream parsing
Name:             bit
Version:          0.4.90
Release:          11%{?dist}.1
License:          GPLv3
URL:              http://libbit.sourceforge.net
Group:            System Environment/Libraries
Source:           http://download.sourceforge.net/libbit/bit-0.4.90.tar.bz2
Patch0:           bit-0.4.90.f14.patch
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:    libxml++-devel >= 2.10.0
BuildRequires:    libsigc++20-devel >= 2.0.0
BuildRequires:    glib2-devel >= 2.16.0
BuildRequires:    cppunit-devel
BuildRequires:    m4
BuildRequires:    gtkmm24-devel >= 2.6.0
BuildRequires:    pkgconfig
ExcludeArch:      ppc ppc64 s390x

%description
The purpose of the bit library is to simplify the parsing of data streams into
fields that are not necessarily octet (byte) oriented.

%package          devel
Summary:          C++ development files to simplify bit stream parsing
Group:            Development/Libraries
Requires:         bit = %{version}-%{release}
Requires:         libxml++-devel >= 2.10.0
Requires:         libsigc++20-devel >= 2.0.0
Requires:         glib2-devel >= 2.16.0
Requires:         pkgconfig

%description      devel
The purpose of the bit library is to simplify the parsing of data streams into
fields that are not necessarily octet (byte) oriented.

This package contains the libraries and header files needed for
developing applications that use the bit library.

%package          gtkmm
Summary:          Gtkmm UI widgets to support bit stream processing
Group:            System Environment/Libraries
Requires:         bit = %{version}-%{release}
Provides:         bitgtkmm = %{version}
Obsoletes:        bitgtkmm < 0.4.90

%description      gtkmm
This package contains gtkmm widgets associated with the bit library.

%package          gtkmm-devel
Summary:          Development files to support gtkmm UI widgets for bit stream processing
Group:            Development/Libraries
Requires:         bit-gtkmm = %{version}-%{release}
Requires:         bit-devel = %{version}-%{release}
Requires:         gtkmm24-devel >= 2.6.0
Requires:         pkgconfig
Provides:         bitgtkmm-devel = %{version}
Obsoletes:        bitgtkmm-devel < 0.4.90

%description      gtkmm-devel
This package contains the libraries and header files needed for
developing gtkmm applications that use the bit-gtkmm UI widgets.

%prep
%setup -q
%patch0 -p1

%build
%configure --enable-static=no --enable-gtkmm
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} INSTALL="%{__install} -p" install
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

# Fix documentation installation and put bit-gtkmm docs under gtk-doc
%{__mkdir} -p %{buildroot}%{_datadir}/gtk-doc/html/bit-gtkmm/
%{__install} -p --mode=0664 -t %{buildroot}%{_datadir}/gtk-doc/html/bit-gtkmm/ doc/reference/bit-gtkmm/html/*

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post gtkmm -p /sbin/ldconfig

%postun gtkmm -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/libbit.so.*
%{_datadir}/bit-0.4/
%doc AUTHORS README COPYING

%files devel
%defattr(-,root,root,-)
%{_libdir}/libbit.so
%{_libdir}/pkgconfig/bit-1.0.pc
%{_includedir}/bit-0.4/bit.h
%{_includedir}/bit-0.4/bit/
%dir %{_includedir}/bit-0.4/
%doc ChangeLog
%doc doc/reference/bit/html/

%files gtkmm
%defattr(-,root,root,-)
%{_libdir}/libbit-gtkmm.so.*
%doc AUTHORS README COPYING

%files gtkmm-devel
%defattr(-,root,root,-)
%{_libdir}/libbit-gtkmm.so
%{_libdir}/pkgconfig/bit-gtkmm-1.0.pc
%{_includedir}/bit-0.4/bit-gtkmm.h
%{_includedir}/bit-0.4/bit-gtkmm/
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/bit-gtkmm/

%changelog
* Fri Oct 08 2010 Jesse Keating <jkeating@redhat.com> - 0.4.90-11.1
- Rebuild for gcc bug 634757

* Thu Sep 16 2010 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.4.90-11
- Patch for changes to g++ C++0x in f14
- Fix obsoletes by lowering version to 0.4.90 from 0.5.0

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.90-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon May 18 2009 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.4.90-9
- Added s390x to exclude arch

* Wed Apr  1 2009 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.4.90-8
- Changed Sourceforge URL to downloads.sf.net from download.sf.net
- Added -p to doc installs

* Wed Apr  1 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 0.4.90-7
- And readd the bit-gtkmm-devel -> bit-gtkmm dep, since the guidelines
  require it.

* Wed Apr  1 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 0.4.90-6
- Fix unowned directory (#473629) by fixing the dependency on bit-devel

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.90-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 06 2009 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.4.90-4
- Fix directory ownership issue

* Tue Jan 06 2009 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.4.90-3
- Updated summaries

* Mon Nov 03 2008 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.4.90-2
- Excluded ppc and ppc64 arches

* Mon Nov 03 2008 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.4.90-1
- New release
- Add bit-gtkmm subpackages
- Added bit-gtkmm docs to gtk-doc
- Added glib2 dependency
- License change
- Expand -devel description
- Fix capitalization warning on brief description

* Sun Sep 21 2008 Ville Skyttä <ville.skytta at iki.fi> - 0.4.1-4
- Fix Patch0:/%%patch mismatch.

* Mon Mar 03 2008 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.4.1-3
- Added boost-devel to requires
- Added bit.patch

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4.1-2
- Autorebuild for GCC 4.3

* Tue Mar 13 2007 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.4.1-1
- New release

* Mon Mar 12 2007 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.4.0-1
- New release
- Added -p option to make install to preserve timestamps
- Removed cp of docs and changed doc inclusion to docs/reference

* Sat Nov 25 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.3.0-1
- New release

* Tue Aug 29 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.2.3-1
- Changed make to %%{__make}
- Changed pc file from * to package*.pc
- Removed BuildRequires pkgconfig

* Sun Aug 27 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.2.2-5
- Bumped release for mass rebuild

* Fri Jul 07 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.2.2-4
- Removed / between builddir and bindir

* Fri Jul 07 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.2.2-3
- Bumped release for make tag

* Fri Jul 07 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.2.2-2
- Changed /usr/bin to _bindir

* Thu Jul 06 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.2.2-1
- New upstream release
- Removed *.md5, *.map and *.dot in upstream package
- Changed mv of docs to cp

* Thu Jun 22 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.2.1-2
- Added AUTHORS and COPYING to bit main package
- Changed download dir from prdownloads.sf.net to download.sf.net

* Mon May 15 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.2.1-1
- Added cppunit to BuildRequires
- Removed doxygen and graphviz BuildRequires since docs are now in dist
- Changed doc directory to represent new location in dist
- Fixed sf download location

* Fri Mar 31 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.2.0-1
- Split bitgtkmm from bit
- Updated -devel Requires and BuildRequires
- Fixed sourceforge download URL
- Changed .dtd and .xml install directory to $(libdir)/bit-$version

* Tue Mar 21 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.1.28-1
- New release

* Sun Mar 05 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.1.27-2
- Removed Requires tag, relying on BuildRequires instead
- Cleaned up Source tag and changed to bz2 files
- New upstream release (upstream is me, it's just easier to say it that way)

* Fri Mar 03 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.1.27-1
- Long overdue cleanup of configure.in et. al.
- Docs now install into $prefix/share/doc/{package}-{version}.
- Separate doc rpm consolidated into devel rpm.

* Fri Mar 03 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.1.26-1
- Initial version (at least the inital version with a changelog in the .spec)
